Bug 77541 - [em] [patch] if_oerrors book keeping error
Summary: [em] [patch] if_oerrors book keeping error
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 4.10-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gleb Smirnoff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-15 02:00 UTC by Craig Leres
Modified: 2005-12-12 14:15 UTC (History)
0 users

See Also:


Attachments
file.diff (606 bytes, patch)
2005-02-15 02:00 UTC, Craig Leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2005-02-15 02:00:41 UTC
	It looks like if the chip goes to sleep, em_watchdog() is
	invoked and if_oerrors is incremented. However,
	em_update_stats_counters() overwrites if_oerrors every 2
	seconds with the sum of excessive and late collisions. So
	the output error counter for does not tally watchdog timeouts
	and also can be seen to decrease.

Fix: If it's desirable to keep track of watchdog timeouts (I
	believe it is) a simple fix would be to tally watch dog
	timeouts separately and then add them in when calculating
	if_oerrors in em_update_stats_counters().

	An untested, partital suggested fix is appended

==============================================================================
Comment 1 Mark Linimon freebsd_committer 2005-07-23 00:39:52 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-bugs

This does not sound i386-specific.
Comment 2 Gleb Smirnoff freebsd_committer 2005-12-12 14:14:58 UTC
State Changed
From-To: open->closed

I've fixed this recently and merged to RELENG_6. 


Comment 3 Gleb Smirnoff freebsd_committer 2005-12-12 14:14:58 UTC
Responsible Changed
From-To: freebsd-bugs->glebius

I've fixed this recently and merged to RELENG_6.